# EulerV2CollateralSwitch

### Description

Switch if vault will be used as collateral or not

### Action ID

`0x82b4e31e`

### SDK Action

```ts
const eulerV2CollateralSwitchAction = new dfs.actions.eulerV2.EulerV2CollateralSwitchAction(
    vault,
    account,
    enableAsColl
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param vault The address of the vault
    /// @param account The address of the Euler account, defaults to user's wallet
    /// @param enableAsColl Whether to enable or disable the vault as collateral
    struct Params {
        address vault;
        address account;
        bool enableAsColl;
    }
```

### Return Value

```solidity
return bytes32(uint256(params.enableAsColl ? 1 : 0));
```

### Events and Logs

```solidity
emit ActionEvent("EulerV2CollateralSwitch", logData);
logger.logActionDirectEvent("EulerV2CollateralSwitch", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/eulerv2/eulerv2collateralswitch.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
